Index: cpukit/itron/inline/rtems/itron/eventflags.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/eventflags.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/eventflags.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_EVENTFLAGS_H
+# error "Never use <rtems/itron/eventflags.inl> directly; include <rtems/itron/eventflags.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_EVENTFLAGS_INL
Index: cpukit/itron/inline/rtems/itron/fmempool.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/fmempool.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/fmempool.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_FMEMPOOL_H
+# error "Never use <rtems/itron/fmempool.inl> directly; include <rtems/itron/fmempool.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_FMEMPOOL_INL
Index: cpukit/itron/inline/rtems/itron/intr.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/intr.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/intr.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_INTR_H
+# error "Never use <rtems/itron/intr.inl> directly; include <rtems/itron/intr.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_INTR_INL
Index: cpukit/itron/inline/rtems/itron/mbox.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/mbox.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/mbox.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_MBOX_H
+# error "Never use <rtems/itron/mbox.inl> directly; include <rtems/itron/mbox.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_MBOX_INL
Index: cpukit/itron/inline/rtems/itron/msgbuffer.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/msgbuffer.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/msgbuffer.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_MSGBUFFER_H
+# error "Never use <rtems/itron/msgbuffer.inl> directly; include <rtems/itron/msgbuffer.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_MSGBUFFER_INL
Index: cpukit/itron/inline/rtems/itron/network.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/network.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/network.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_NETWORK_H
+# error "Never use <rtems/itron/network.inl> directly; include <rtems/itron/network.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_NETWORK_INL
Index: cpukit/itron/inline/rtems/itron/port.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/port.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/port.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_PORT_H
+# error "Never use <rtems/itron/port.inl> directly; include <rtems/itron/port.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_PORT_INL
Index: cpukit/itron/inline/rtems/itron/semaphore.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/semaphore.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/semaphore.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_SEMAPHORE_H
+# error "Never use <rtems/itron/semaphore.inl> directly; include <rtems/itron/semaphore.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_SEMAPHORE_INL
Index: cpukit/itron/inline/rtems/itron/sysmgmt.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/sysmgmt.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/sysmgmt.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_SYSMGMT_H
+# error "Never use <rtems/itron/sysmgmt.inl> directly; include <rtems/itron/sysmgmt.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_SYSMGMT_INL
Index: cpukit/itron/inline/rtems/itron/task.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/task.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/task.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_TASK_H
+# error "Never use <rtems/itron/task.inl> directly; include <rtems/itron/task.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_TASK_INL
Index: cpukit/itron/inline/rtems/itron/time.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/time.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/time.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_TIME_H
+# error "Never use <rtems/itron/time.inl> directly; include <rtems/itron/time.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_TIME_INL
Index: cpukit/itron/inline/rtems/itron/vmempool.inl
===================================================================
--- cpukit/itron/inline/rtems/itron/vmempool.inl	(revision 6a0898bba30ccd936e0ac1d6268970316efe92c4)
+++ cpukit/itron/inline/rtems/itron/vmempool.inl	(revision ef49476f5a2498022329b451deaff86891ffc499)
@@ -13,4 +13,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_ITRON_VMEMPOOL_H
+# error "Never use <rtems/itron/vmempool.inl> directly; include <rtems/itron/vmempool.h> instead."
+#endif
 
 #ifndef _RTEMS_ITRON_VMEMPOOL_INL
